# 86. Query: "Farms" ophalen

Het volgende geeft de basis GraphQL-query weer die wordt gebruikt om alle "Farms" op te halen die voor de gebruiker toegankelijk zijn:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FetchAllFarms {
  getFarms {
    uuid
    userUuid
    naam
    farmOwnership
    externalKey
    ownerEmail
    aanmaakdatum
    updatedDate
  }
}
```

{% endcode %}

Naast andere parameters kunt u de `farmUuids` en `externalKeys` filters gebruiken om uw antwoord aan te passen. Deze filters kunnen onafhankelijk of in combinatie worden toegepast, waardoor gerichtere gegevensopvraging mogelijk is.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FetchAllFarmsWithFilters {
  getFarms(
    farmUuids:["<placeholder_of_farm_uuid>"], 
    externalKeys:["<placeholder_of_external_key>"]
  ) {
    uuid
    userUuid
    naam
    farmOwnership
    externalKey
    ownerEmail
    aanmaakdatum
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-docs/overzicht-van-api-verzoeken-van-geopard/86.-query-farms-ophalen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
